Double redirects are automatically fixed even when checkbox is unchecked
Closed, ResolvedPublic

Assigned To
None
Priority
High
Author
bzimport
Subscribers
tstarling, IAlex, wikibugs-l
Projects
Reference
bz14987
Description

Author: le.korrigan

Description:
A problem arose on fr.wikipedia, with the new "double redirect correcter" : it corrects redirects to renamed articles even when one has unchecked the checbox "fix double redirects".

This is especially problematic as pages are renamed as part of the copyvio purge process, and in this case redirects should not be corrected ! But the checkbox does not seem to work.

I have made a test :

  1. I created http://fr.wikipedia.org/wiki/Utilisateur:Korrigan/Article with some content
  2. I created http://fr.wikipedia.org/wiki/Utilisateur:Korrigan/Redirection which redirects to the first page.
  3. I renamed "Article" while unchecking the checkbox, to "Article renommé"
  4. The redirect is still automatically fixed.

Thanks for looking into this.


Version: 1.14.x
Severity: major

bzimport added a project: MediaWiki-Redirects.Via ConduitNov 21 2014, 10:12 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz14987.
bzimport created this task.Via LegacyJul 30 2008, 7:33 PM
bzimport added a comment.Via ConduitJul 31 2008, 7:22 PM

le.korrigan wrote:

Setting priority to "high" as it prevents normal copyvio purges on fr.wikipedia.

bzimport added a comment.Via ConduitJul 31 2008, 7:23 PM

ayg wrote:

CC'ing Tim, since he wrote the feature.

IAlex added a comment.Via ConduitAug 1 2008, 9:53 AM

fixed trunk in r38342 and 1.13 in r38343.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.